## swugenerator 0.0~git20220928.eba6200

=== debian/changelog ===
swugenerator (0.0~git20220928.eba6200-2) unstable; urgency=medium

  * d/control: Correct Vcs fields

 -- Bastian Germann <bage@debian.org>  Tue, 08 Nov 2022 11:53:10 +0100

swugenerator (0.0~git20220928.eba6200-1) unstable; urgency=medium

  * Initial release (Closes: #1010786)

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 20:21:48 +0200

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/sbabic/swugenerator.git HEAD

## swugenerator 0.3

=== requirements.txt ===
libconf~=2.0.1
setuptools~=57.0.0

## swugenerator 0.2

=== debian/changelog ===
swugenerator (0.2-1) unstable; urgency=medium

  * New upstream version 0.2
  * d/watch: Check for signed releases

 -- Bastian Germann <bage@debian.org>  Thu, 26 Jan 2023 14:50:57 +0100

=== debian/control ===
Source: swugenerator
Section: embedded
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-setuptools, python3-all:any, python3-docutils, python3-libconf
Standards-Version: 4.6.0
Homepage: https://github.com/sbabic/swugenerator
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/swugenerator.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/swugenerator

Package: swugenerator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, opensc, openssl, zstd
Description: Generates SWU update packages for swupdate (Python 3)
 swugenerator is a command line tool to create and modify SWUpdate's
 SWU update files based on templates. openssl is used to sign the SWU.
 .
 Features that swugenerator supports:
  * replace occurrencies of variables found in the CONFIG file
  * add sha256 to each artifact
  * check if an artifact should be encrypted and encrypts it
  * sign sw-description with one of the methods accepted by SWUpdate

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=swugenerator

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	rst2man --strip-comments --no-generator README.rst | sed '/.SH INSTALLATION/,$$d' > swugenerator.1

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/sbabic/swugenerator.git refs/tags/v([\d\.]+)

## swugenerator 0.3

=== debian/changelog ===
swugenerator (0.3-1) unstable; urgency=medium

  * New upstream version 0.3
  * d/control: Change uploader to myself (Closes: #1055748)
  * d/watch: Match upstream git tags without v prefix

 -- Christopher Obbard <obbardc@debian.org>  Fri, 03 May 2024 11:00:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: embedded
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@debian.org>
+Uploaders: Christopher Obbard <obbardc@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-setuptools, python3-all:any, python3-docutils, python3-libconf
 Standards-Version: 4.6.0

## swugenerator 0.4

=== debian/changelog ===
swugenerator (0.4-1) unstable; urgency=medium

  * New upstream version 0.4

 -- Christopher Obbard <obbardc@debian.org>  Sat, 18 Jan 2025 13:50:44 +0000

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/sbabic/swugenerator.git refs/tags/v?([\d\.]+)

## swugenerator 0.5

=== debian/changelog ===
swugenerator (0.5-4) unstable; urgency=medium

  * d/tests: add isolation-machine

 -- Christopher Obbard <obbardc@debian.org>  Sat, 01 Nov 2025 23:33:56 +0000

swugenerator (0.5-3) unstable; urgency=medium

  [ Christopher Obbard ]
  * d/control: Add Tobias Deiminger to Uploaders
  * d/control: sort with wrap-and-sort
  * d/control: add missing runtime dep zchunk

  [ Tobias Deiminger ]
  * d/tests: Add autopkgtest to sign and verify images

 -- Christopher Obbard <obbardc@debian.org>  Sat, 18 Oct 2025 01:36:46 +0100

swugenerator (0.5-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2 (no changes)
  * d/u/signing-key.asc: add sbabic public key
  * d/watch: Check upstream tarball signature
  * d/s/lintian-overrides: Add override for upstream tarball signatures
  * d/rules: Fix manpage whatis entry
  * d/patches: Import upstream patches since v0.5

 -- Christopher Obbard <obbardc@debian.org>  Sat, 27 Sep 2025 03:35:20 +0100

swugenerator (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * d/salsa-ci.yml: Enable salsa-ci

 -- Christopher Obbard <obbardc@debian.org>  Mon, 25 Aug 2025 21:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: embedded
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Christopher Obbard <obbardc@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
- python3-setuptools, python3-all:any, python3-docutils, python3-libconf
-Standards-Version: 4.6.0
+Uploaders: Christopher Obbard <obbardc@debian.org>,
+           Tobias Deiminger <tobias.deiminger@linutronix.de>
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all:any,
+               python3-docutils,
+               python3-libconf,
+               python3-setuptools
+Standards-Version: 4.7.2
 Homepage: https://github.com/sbabic/swugenerator
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
@@ -14,7 +19,12 @@
 
 Package: swugenerator
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, opensc, openssl, zstd
+Depends: opensc,
+         openssl,
+         zchunk,
+         zstd,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Generates SWU update packages for swupdate (Python 3)
  swugenerator is a command line tool to create and modify SWUpdate's
  SWU update files based on templates. openssl is used to sign the SWU.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=swugenerator

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	rst2man --strip-comments --no-generator README.rst > swugenerator.1.tmp

	# Trim everything from INSTALLATION section onwards
	sed '/^\.SH INSTALLATION/,$$d' swugenerator.1.tmp > swugenerator.1.base

	# Ensure a canonical NAME section:
	#  - Insert "NAME" right after .TH
	#  - Drop any later existing NAME section and its body
	awk 'BEGIN{drop=0; injected=0} \
	     /^\.TH / && !injected { print; print ".SH NAME"; print "swugenerator \\- generate SWUpdate bundles from a manifest"; injected=1; next } \
	     /^\.SH NAME$$/ { drop=1; next } \
	     drop && /^\.SH / { drop=0 } \
	     drop { next } \
	     { print }' swugenerator.1.base > swugenerator.1

	rm -f swugenerator.1.tmp swugenerator.1.base
	dh_installman swugenerator.1

=== debian/tests/control ===
Tests: swusign
Depends: cpio,
         libengine-pkcs11-openssl,
         libsofthsm2,
         opensc,
         openssl,
         p11-kit-modules,
         softhsm2,
         swupdate,
         util-linux-extra,
         @
Restrictions: allow-stderr,
              isolation-machine,
              needs-sudo

=== debian/watch ===
version=4
opts=mode=git,pgpmode=git,repack,compression=gz \
https://github.com/sbabic/swugenerator.git \
refs/tags/v?(\d[\w.+~-]*)

## swugenerator 0.6

=== debian/changelog ===
swugenerator (0.6-6) unstable; urgency=medium

  * Team upload
  * autopkgtest: Run swupdate with sudo (to create /run/swupdate)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Feb 2026 15:29:52 +0100

swugenerator (0.6-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.3

 -- Christopher Obbard <obbardc@debian.org>  Sun, 04 Jan 2026 23:52:58 +0000

swugenerator (0.6-4) unstable; urgency=medium

  * Team upload
  * Revert "Disable swupdate for migration to testing"
  * Revert "Add workaround for config parser bug with GPGME"

 -- Bastian Germann <bage@debian.org>  Tue, 23 Dec 2025 21:51:29 +0100

swugenerator (0.6-3) unstable; urgency=medium

  * Team upload
  * Disable swupdate for migration to testing

 -- Bastian Germann <bage@debian.org>  Wed, 17 Dec 2025 23:40:21 +0000

swugenerator (0.6-2) unstable; urgency=medium

  * Team upload
  * Force cms verification with opensslCMS provider
  * Run RSA verification with swupdate
  * Add workaround for config parser bug with GPGME

 -- Bastian Germann <bage@debian.org>  Mon, 15 Dec 2025 19:42:53 +0100

swugenerator (0.6-1) unstable; urgency=medium

  [ Bastian Germann ]
  * New upstream version 0.6
  * Revert "d/patches: Import patch to fix inode issue in CI"
  * Revert "d/patches: Import patch to add sign subcommand"
  * Revert "d/patches: Import upstream patches since v0.5"

 -- Christopher Obbard <obbardc@debian.org>  Sun, 14 Dec 2025 10:37:30 +0000

swugenerator (0.5-5) unstable; urgency=medium

  [ Tobias Deiminger ]
  * d/patches: Import patch to add sign subcommand
  * d/patches: Import patch to fix inode issue in CI
  * Revert "d/tests: add isolation-machine"

 -- Christopher Obbard <obbardc@debian.org>  Fri, 21 Nov 2025 16:25:52 +0000

=== debian/tests/control ===
Tests: swusign
Depends:
         libengine-pkcs11-openssl,
         libsofthsm2,
         opensc,
         openssl,
         p11-kit-modules,
         softhsm2,
         swupdate,
         util-linux-extra,
         @
Restrictions: allow-stderr,
              needs-sudo
